Bug 1054756 - X server lock up with OpenSCAD, radeon x1650/rv535
Summary: X server lock up with OpenSCAD, radeon x1650/rv535
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-17 12:24 UTC by Jan "Yenya" Kasprzak
Modified: 2015-06-29 14:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:32:05 UTC
Type: Bug


Attachments (Terms of Use)
The Xorg.0.log file after the X server restart (78.62 KB, text/x-log)
2014-01-17 12:24 UTC, Jan "Yenya" Kasprzak
no flags Details

Description Jan "Yenya" Kasprzak 2014-01-17 12:24:23 UTC
Created attachment 851568 [details]
The Xorg.0.log file after the X server restart

Description of problem:
The X server on one of my computers keeps crashing or locking up while rendering the OpenSCAD file. Usually the X server can be killed from the text console, but the restarted X server cannot initialize the card - only garbage is displayed.

Version-Release number of selected component (if applicable):

kernel-3.12.7-300.fc20.x86_64
xorg-x11-server-Xorg-1.14.4-5.fc20.x86_64
xorg-x11-drv-ati-7.2.0-3.20131101git3b38701.fc20.x86_64
openscad-2013.06-8.fc20.x86_64

lspci:
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV535 [Radeon X1650 PRO] (rev 9e)
01:00.1 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] RV535 [Radeon X1650 PRO] (Secondary) (rev 9e)

How reproducible:
100 %

Steps to Reproduce:
1. wget http://www.fi.muni.cz/~kas/git/?p=heater.git;a=blob_plain;f=case.scad;hb=114123230346ffb55488189a1a95182e8cece162 -O case.scad
2. openscad case.scad
3. from the OpenSCAD menu, select Design -> Compile and Render (CGAL)

Actual results:
during the rendering, the X server locks up - sometimes the screen goes blank, sometimes it cannot switch focus while the cursor is still active, etc. Here is the excerpt from dmesg(1):

[  335.179031] radeon 0000:01:00.0: GPU lockup CP stall for more than 10000msec
[  335.179044] radeon 0000:01:00.0: GPU lockup (waiting for 0x0000000000002771 last fence id 0x0000000000002760)
[  335.679054] radeon 0000:01:00.0: GPU lockup CP stall for more than 10500msec
[  335.679064] radeon 0000:01:00.0: GPU lockup (waiting for 0x0000000000002761)
[  335.679072] radeon 0000:01:00.0: failed to get a new IB (-35)
[  335.679078] [drm:radeon_cs_ib_chunk] *ERROR* Failed to get ib !
[  335.868330] radeon: wait for empty RBBM fifo failed ! Bad things might happen.
[  336.057604] Failed to wait GUI idle while programming pipes. Bad things might happen.
[  336.059011] radeon 0000:01:00.0: Saved 539 dwords of commands on ring 0.
[  336.066853] radeon 0000:01:00.0: (rs600_asic_reset:401) RBBM_STATUS=0xF4116100
[  336.568864] radeon 0000:01:00.0: (rs600_asic_reset:421) RBBM_STATUS=0x94010140
[  337.069849] radeon 0000:01:00.0: (rs600_asic_reset:429) RBBM_STATUS=0x94000140
[  337.570831] radeon 0000:01:00.0: (rs600_asic_reset:437) RBBM_STATUS=0x94000140
[  337.570865] radeon 0000:01:00.0: failed to reset GPU
[  337.572003] [sched_delayed] sched: RT throttling activated
[  337.572858] radeon 0000:01:00.0: GPU reset failed
[  337.750395] Failed to wait GUI idle while programming pipes. Bad things might happen.
[  337.751466] radeon 0000:01:00.0: ffff8800cf857c00 unpin not necessary
[  337.756246] radeon 0000:01:00.0: (rs600_asic_reset:401) RBBM_STATUS=0x94000140
[  338.258252] radeon 0000:01:00.0: (rs600_asic_reset:421) RBBM_STATUS=0x94000140
[  338.759235] radeon 0000:01:00.0: (rs600_asic_reset:429) RBBM_STATUS=0x94000140
[  339.260217] radeon 0000:01:00.0: (rs600_asic_reset:437) RBBM_STATUS=0x94000140
[  339.260250] radeon 0000:01:00.0: failed to reset GPU
[  339.261698] radeon 0000:01:00.0: GPU reset failed
[  339.261970] radeon 0000:01:00.0: couldn't schedule ib
[  339.261975] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
[  339.262527] radeon 0000:01:00.0: couldn't schedule ib
[  339.262529] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
[  339.262972] radeon 0000:01:00.0: couldn't schedule ib
[  339.262974] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
[  339.263431] radeon 0000:01:00.0: couldn't schedule ib
[  339.263433] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
[  339.263879] radeon 0000:01:00.0: couldn't schedule ib

The last two messages are repeated again at more than 1 message/s rate.

Expected results:
The object should be rendered in OpenSCAD and the X server should continue its operation.

Additional info:
I have two monitors connected to this radeon card - here is the output of xrandr(1):
Screen 0: minimum 320 x 200, current 3200 x 1200, maximum 8192 x 8192
DVI-0 connected primary 1600x1200+0+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+
   1280x1024      85.0     75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       85.0     75.1     60.0  
   832x624        74.6  
   800x600        85.1     60.3  
   640x480        85.0     75.0     60.0  
   720x400        70.1  
S-video disconnected (normal left inverted right x axis y axis)
DVI-1 connected 1600x1200+1600+0 (normal left inverted right x axis y axis) 408mm x 306mm
   1600x1200      60.0*+
   1280x1024      85.0     75.0     60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       85.0     75.1     60.0  
   832x624        74.6  
   800x600        85.1     60.3  
   640x480        85.0     75.0     60.0  
   720x400        70.1  

Rendering the file from the command line works:
$ unset DISPLAY
$ openscad -o case.stl case.scad

Comment 1 Hin-Tak Leung 2014-02-13 01:58:47 UTC
I just experience a lock-up with spills of:

Feb 12 21:17:01 localhost kernel: [114728.981188] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !
Feb 12 21:17:01 localhost kernel: [114728.991431] radeon 0000:01:05.0: couldn't schedule ib

It lasted 4.5 minutes with over 3000 entries in my log so it is over 10 per sec.
At the time it was also coming out of the virtual console also.

I was simply opening a few more tabs from a google search with google-chrome at the time. The only other GUI program running was wine (and a windows program), and some gnome-terminals also.

google-chrome-beta-33.0.1750.70-1.x86_64
wine   1.7.12  i686         (my own build)

kernel-3.12.10-300.fc20.x86_64
libdrm-2.4.50-1.fc20.i686
libdrm-2.4.50-1.fc20.x86_64
xorg-x11-server-Xorg-1.14.4-6.fc20.x86_64
xorg-x11-drv-ati-7.2.0-3.20131101git3b38701.fc20.x86_64

lspci | grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RS690M [Radeon Xpress 1200/1250/1270]

Looking at my logs, it started with gnome-shell crashing:

Feb 12 21:15:36 localhost gnome-session[1650]: WARNING: Application 'gnome-shell-classic.desktop' killed by signal 11

Then a minute and 1/3 later,

Feb 12 21:17:01 localhost kernel: [114728.981097] radeon 0000:01:05.0: GPU lockup CP stall for more than 10000msec
Feb 12 21:17:01 localhost kernel: [114728.981117] radeon 0000:01:05.0: GPU lockup (waiting for 0x00000000002daa95 last fence id 0x000
00000002daa94)
Feb 12 21:17:01 localhost kernel: [114728.981180] radeon 0000:01:05.0: couldn't schedule ib
Feb 12 21:17:01 localhost kernel: [114728.981188] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !


the hardware is a single LCD on a laptop, and I was running nothing more than google-chrome, and a wine application in the back, as far as GUI usage at the time.

Comment 2 Fedora End Of Life 2015-05-29 10:32:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:32:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.